SplFileInfo::getRealPath
SplFileInfo::getType
SplFileInfo
PHP Manual

# SplFileInfo::getSize

(PHP 5 >= 5.1.2)

SplFileInfo::getSize — Gets file size

### Description

public int SplFileInfo::getSize ( void )

Returns the filesize in bytes for the file referenced.

### Parameters

This function has no parameters.

### Return Values

The filesize in bytes.

### Errors/Exceptions

A RuntimeException will be thrown if the file does not exist or an error occurs.

### See Also

- filesize() - Gets file size

SplFileInfo::getRealPath
SplFileInfo::getType
SplFileInfo
PHP Manual